flink-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Leonard Xu <xbjt...@gmail.com>
Subject Re: [DISCUSS] Upgrade HBase connector to 2.2.x
Date Fri, 19 Jun 2020 06:58:40 GMT
+1 to support HBase 2.2.x, and +1 to retain HBase 1.4.3 until we deprecates finished(maybe
one version is enough).

Currently we only support HBase 1.4.3 which is pretty old, and I’m making a flink-sql-connector-hbase[1]
shaded jar for pure SQL user, the dependencies is a little more complex. 

> 在 2020年6月19日,14:20,jackylau <liuyongvs@gmail.com> 写道:
> 
> + 1 to support HBase 2.x and the hbase 2.x client dependencies are simple and clear.
Tbe hbase project shades them all
> 
Best,
Leonard Xu
[1] https://github.com/apache/flink/pull/12687 <https://github.com/apache/flink/pull/12687>


Mime
View raw message